Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class Xhtml1DocBuilder.Static

    java.lang.Object
      sharin.doc.builder.xhtml1.Xhtml1DocBuilder.Static

Enclosing class:
  Xhtml1DocBuilder

    public static class Xhtml1DocBuilder.Static

extends Object

Constructor Summary
`Xhtml1DocBuilder.Static()`

Method Summary
`static AElem` | `a(Object... nodes)`
`static AbbrElem` | `abbr(Object... nodes)`
`static AcronymElem` | `acronym(Object... nodes)`
`static AddressElem` | `address(Object... nodes)`
`static AppletElem` | `applet(Object... nodes)`
`static AreaElem` | `area(Object... nodes)`
`static BElem` | `b(Object... nodes)`
`static BaseElem` | `base(Object... nodes)`
`static BasefontElem` | `basefont(Object... nodes)`
`static BdoElem` | `bdo(Object... nodes)`
`static BigElem` | `big(Object... nodes)`
`static BlockquoteElem` | `blockquote(Object... nodes)`
`static BodyElem` | `body(Object... nodes)`
`static BrElem` | `br(Object... nodes)`
`static ButtonElem` | `button(Object... nodes)`
`static CaptionElem` | `caption(Object... nodes)`
`static CenterElem` | `center(Object... nodes)`
`static CiteElem` | `cite(Object... nodes)`
`static CodeElem` | `code(Object... nodes)`
`static ColElem` | `col(Object... nodes)`
`static ColgroupElem` | `colgroup(Object... nodes)`
`static DdElem` | `dd(Object... nodes)`
`static DelElem` | `del(Object... nodes)`
`static DfnElem` | `dfn(Object... nodes)`
`static DirElem` | `dir(Object... nodes)`
`static DivElem` | `div(Object... nodes)`
`static DlElem` | `dl(Object... nodes)`
`static DtElem` | `dt(Object... nodes)`
`static Elem` | `elem(String name, Object... nodes)`
`static EmElem` | `em(Object... nodes)`
`static FieldsetElem` | `fieldset(Object... nodes)`
`static FontElem` | `font(Object... nodes)`
`static FormElem` | `form(Object... nodes)`
`static FrameElem` | `frame(Object... nodes)`
`static FramesetElem` | `frameset(Object... nodes)`
`static H1Elem` | `h1(Object... nodes)`
`static H2Elem` | `h2(Object... nodes)`
`static H3Elem` | `h3(Object... nodes)`
`static H4Elem` | `h4(Object... nodes)`
`static H5Elem` | `h5(Object... nodes)`
`static H6Elem` | `h6(Object... nodes)`
`static HeadElem` | `head(Object... nodes)`
`static HrElem` | `hr(Object... nodes)`
`static HtmlElem` | `html(Object... nodes)`
`static IElem` | `i(Object... nodes)`
`static IframeElem` | `iframe(Object... nodes)`
`static ImgElem` | `img(Object... nodes)`
`static InputElem` | `input(Object... nodes)`
`static InsElem` | `ins(Object... nodes)`
`static IsindexElem` | `isindex(Object... nodes)`
`static KbdElem` | `kbd(Object... nodes)`
`static LabelElem` | `label(Object... nodes)`
`static LegendElem` | `legend(Object... nodes)`
`static LiElem` | `li(Object... nodes)`
`static LinkElem` | `link(Object... nodes)`
`static MapElem` | `map(Object... nodes)`
`static MenuElem` | `menu(Object... nodes)`
`static MetaElem` | `meta(Object... nodes)`
`static NoframesElem` | `noframes(Object... nodes)`
`static NoscriptElem` | `noscript(Object... nodes)`
`static ObjectElem` | `object(Object... nodes)`
`static OlElem` | `ol(Object... nodes)`
`static OptgroupElem` | `optgroup(Object... nodes)`
`static OptionElem` | `option(Object... nodes)`
`static PElem` | `p(Object... nodes)`
`static ParamElem` | `param(Object... nodes)`
`static PreElem` | `pre(Object... nodes)`
`static QElem` | `q(Object... nodes)`
`static SElem` | `s(Object... nodes)`
`static SampElem` | `samp(Object... nodes)`
`static ScriptElem` | `script(Object... nodes)`
`static SelectElem` | `select(Object... nodes)`
`static SmallElem` | `small(Object... nodes)`
`static SpanElem` | `span(Object... nodes)`
`static StrikeElem` | `strike(Object... nodes)`
`static StrongElem` | `strong(Object... nodes)`
`static StyleElem` | `style(Object... nodes)`
`static SubElem` | `sub(Object... nodes)`
`static SupElem` | `sup(Object... nodes)`
`static TableElem` | `table(Object... nodes)`
`static TbodyElem` | `tbody(Object... nodes)`
`static TdElem` | `td(Object... nodes)`
`static TextareaElem` | `textarea(Object... nodes)`
`static TfootElem` | `tfoot(Object... nodes)`
`static ThElem` | `th(Object... nodes)`
`static TheadElem` | `thead(Object... nodes)`
`static TitleElem` | `title(Object... nodes)`
`static TrElem` | `tr(Object... nodes)`
`static TtElem` | `tt(Object... nodes)`
`static UElem` | `u(Object... nodes)`
`static UlElem` | `ul(Object... nodes)`
`static VarElem` | `var(Object... nodes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xhtml1DocBuilder.Static

    public Xhtml1DocBuilder.Static()

Method Detail

### elem

    public static Elem elem(String name,
                            Object... nodes)

### a

    public static AElem a(Object... nodes)

### abbr

    public static AbbrElem abbr(Object... nodes)

### acronym

    public static AcronymElem acronym(Object... nodes)

### address

    public static AddressElem address(Object... nodes)

### applet

    public static AppletElem applet(Object... nodes)

### area

    public static AreaElem area(Object... nodes)

### b

    public static BElem b(Object... nodes)

### base

    public static BaseElem base(Object... nodes)

### basefont

    public static BasefontElem basefont(Object... nodes)

### bdo

    public static BdoElem bdo(Object... nodes)

### big

    public static BigElem big(Object... nodes)

### blockquote

    public static BlockquoteElem blockquote(Object... nodes)

### body

    public static BodyElem body(Object... nodes)

### br

    public static BrElem br(Object... nodes)

### button

    public static ButtonElem button(Object... nodes)

### caption

    public static CaptionElem caption(Object... nodes)

### center

    public static CenterElem center(Object... nodes)

### cite

    public static CiteElem cite(Object... nodes)

### code

    public static CodeElem code(Object... nodes)

### col

    public static ColElem col(Object... nodes)

### colgroup

    public static ColgroupElem colgroup(Object... nodes)

### dd

    public static DdElem dd(Object... nodes)

### del

    public static DelElem del(Object... nodes)

### dfn

    public static DfnElem dfn(Object... nodes)

### dir

    public static DirElem dir(Object... nodes)

### div

    public static DivElem div(Object... nodes)

### dl

    public static DlElem dl(Object... nodes)

### dt

    public static DtElem dt(Object... nodes)

### em

    public static EmElem em(Object... nodes)

### fieldset

    public static FieldsetElem fieldset(Object... nodes)

### font

    public static FontElem font(Object... nodes)

### form

    public static FormElem form(Object... nodes)

### frame

    public static FrameElem frame(Object... nodes)

### frameset

    public static FramesetElem frameset(Object... nodes)

### h1

    public static H1Elem h1(Object... nodes)

### h2

    public static H2Elem h2(Object... nodes)

### h3

    public static H3Elem h3(Object... nodes)

### h4

    public static H4Elem h4(Object... nodes)

### h5

    public static H5Elem h5(Object... nodes)

### h6

    public static H6Elem h6(Object... nodes)

### head

    public static HeadElem head(Object... nodes)

### hr

    public static HrElem hr(Object... nodes)

### html

    public static HtmlElem html(Object... nodes)

### i

    public static IElem i(Object... nodes)

### iframe

    public static IframeElem iframe(Object... nodes)

### img

    public static ImgElem img(Object... nodes)

### input

    public static InputElem input(Object... nodes)

### ins

    public static InsElem ins(Object... nodes)

### isindex

    public static IsindexElem isindex(Object... nodes)

### kbd

    public static KbdElem kbd(Object... nodes)

### label

    public static LabelElem label(Object... nodes)

### legend

    public static LegendElem legend(Object... nodes)

### li

    public static LiElem li(Object... nodes)

### link

    public static LinkElem link(Object... nodes)

### map

    public static MapElem map(Object... nodes)

### menu

    public static MenuElem menu(Object... nodes)

### meta

    public static MetaElem meta(Object... nodes)

### noframes

    public static NoframesElem noframes(Object... nodes)

### noscript

    public static NoscriptElem noscript(Object... nodes)

### object

    public static ObjectElem object(Object... nodes)

### ol

    public static OlElem ol(Object... nodes)

### optgroup

    public static OptgroupElem optgroup(Object... nodes)

### option

    public static OptionElem option(Object... nodes)

### p

    public static PElem p(Object... nodes)

### param

    public static ParamElem param(Object... nodes)

### pre

    public static PreElem pre(Object... nodes)

### q

    public static QElem q(Object... nodes)

### s

    public static SElem s(Object... nodes)

### samp

    public static SampElem samp(Object... nodes)

### script

    public static ScriptElem script(Object... nodes)

### select

    public static SelectElem select(Object... nodes)

### small

    public static SmallElem small(Object... nodes)

### span

    public static SpanElem span(Object... nodes)

### strike

    public static StrikeElem strike(Object... nodes)

### strong

    public static StrongElem strong(Object... nodes)

### style

    public static StyleElem style(Object... nodes)

### sub

    public static SubElem sub(Object... nodes)

### sup

    public static SupElem sup(Object... nodes)

### table

    public static TableElem table(Object... nodes)

### tbody

    public static TbodyElem tbody(Object... nodes)

### td

    public static TdElem td(Object... nodes)

### textarea

    public static TextareaElem textarea(Object... nodes)

### tfoot

    public static TfootElem tfoot(Object... nodes)

### th

    public static ThElem th(Object... nodes)

### thead

    public static TheadElem thead(Object... nodes)

### title

    public static TitleElem title(Object... nodes)

### tr

    public static TrElem tr(Object... nodes)

### tt

    public static TtElem tt(Object... nodes)

### u

    public static UElem u(Object... nodes)

### ul

    public static UlElem ul(Object... nodes)

### var

    public static VarElem var(Object... nodes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.